Package wx :: Package lib :: Package floatcanvas :: Module FloatCanvas :: Class Text

[frames | no frames]

## Class Text

           DrawObject --+
                        |
    XYObjectMixin --+   |
                    |   |
      TextObjectMixin --+
                        |
                       Text

    This class creates a text object, placed at the coordinates,
    x,y. the "Position" argument is a two charactor string, indicating
    where in relation to the coordinates the string should be oriented.

    The first letter is: t, c, or b, for top, center and bottom The
    second letter is: l, c, or r, for left, center and right The
    position refers to the position relative to the text itself. It
    defaults to "tl" (top left).

    Size is the size of the font in pixels, or in points for printing
    (if it ever gets implimented). Those will be the same, If you assume
    72 PPI.

    Family:
        Font family, a generic way of referring to fonts without
        specifying actual facename. One of:
            wx.DEFAULT:  Chooses a default font.
            wx.DECORATIVE: A decorative font.
            wx.ROMAN: A formal, serif font.
            wx.SCRIPT: A handwriting font.
            wx.SWISS: A sans-serif font.
            wx.MODERN: A fixed pitch font.
        NOTE: these are only as good as the wxWindows defaults, which aren't so good.
    Style:
        One of wx.NORMAL, wx.SLANT and wx.ITALIC.
    Weight:
        One of wx.NORMAL, wx.LIGHT and wx.BOLD.
    Underline:
        The value can be True or False. At present this may have an an
        effect on Windows only.

    Alternatively, you can set the kw arg: Font, to a wx.Font, and the
    above will be ignored.

    The size is fixed, and does not scale with the drawing.

    The hit-test is done on the entire text extent

Method Summary
| `__init__(self, String, xy, Size, Color, BackgroundColor, Family, Style, Weight, Underline, Position, InForeground, Font)`

Class Variable Summary

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:32 2007 | http://epydoc.sf.net